# class DeleteJob |
Full name | `KIO::DeleteJob`
Definition | `#include <jobclasses.h>`
Inherits | KIO::Job [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- DeleteJob ( const KURL::List& src, bool shred, bool showProgressInfo )
- KURL::List urls () const

#### Signals

- void totalFiles ( KIO::Job *, unsigned long files )
- void totalDirs ( KIO::Job *, unsigned long dirs )
- void processedFiles ( KIO::Job *, unsigned long files )
- void processedDirs ( KIO::Job *, unsigned long dirs )
- void deleting ( KIO::Job *, const KURL& file )

#### Protected Methods

- void startNextJob ()
- void deleteNextFile ()
- void deleteNextDir ()

#### Protected Slots

- void slotEntries ( KIO::Job*, const KIO::UDSEntryList& list )
- virtual void slotResult ( KIO::Job *job )
- void slotProcessedSize ( KIO::Job*, unsigned long data_size )
- void slotReport ()

## Detailed Description

DeleteJob ( const KURL::List& src, bool shred, bool showProgressInfo ) | ### DeleteJob

KURL::List urls () | ### urls

[const]

void totalFiles ( KIO::Job *, unsigned long files ) | ### totalFiles

[signal]

void totalDirs ( KIO::Job *, unsigned long dirs ) | ### totalDirs

[signal]

void processedFiles ( KIO::Job *, unsigned long files ) | ### processedFiles

[signal]

void processedDirs ( KIO::Job *, unsigned long dirs ) | ### processedDirs

[signal]

void deleting ( KIO::Job *, const KURL& file ) | ### deleting

[signal]

void startNextJob () | ### startNextJob

[protected]

void deleteNextFile () | ### deleteNextFile

[protected]

void deleteNextDir () | ### deleteNextDir

[protected]

void slotEntries ( KIO::Job*, const KIO::UDSEntryList& list ) | ### slotEntries

[protected slots slot]

void slotResult ( KIO::Job *job ) | ### slotResult

[protected slots virtual slot]

Reimplemented from Job.

void slotProcessedSize ( KIO::Job*, unsigned long data_size ) | ### slotProcessedSize

[protected slots slot]

Forward signal from subjob

void slotReport () | ### slotReport

[protected slots slot]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:40:40 2001, using kdoc 2.0a53.